2 Replies Latest reply: Jan 24, 2014 1:33 AM by Carlo den Otter RSS

R 12.1.1 Installation on OEL 64 bit Linux

user645637 Newbie
Currently Being Moderated

Hi All,

 

I am Installing OEL 64 Bit Linux for R12.1.1.1.  I am using VMWare Workstation version 8.0.2

 

So Far,

1) VMWare Workstation Installation is done successfully.

2) VMWareTools Installation is done successfully.

 

During the preparation of R 12.1.1.1 pre-requisites as per metalink note: 761566.1

 

One of the pre-reqs are openmotif21-2.1.30-11.EL6.i686. my machine is 86x64.

 

When i try to install openmotif21. This has few dependencies but not able to find them.

 

[root@r12vison]# rpm -ivf openmotif21-2.1.30-11.EL6.i686.rpm

 

error: Failed dependencies:

      libICE.so.6 is needed by openmotif21-2.1.30-11.EL6.i686

      libSM.so.6 is needed by openmotif21-2.1.30-11.EL6.i686

      libX11.so.6 is needed by openmotif21-2.1.30-11.EL6.i686

      libXext.so.6 is needed by openmotif21-2.1.30-11.EL6.i686

      libXp.so.6 is needed by openmotif21-2.1.30-11.EL6.i686

      libXt.so.6 is needed by openmotif21-2.1.30-11.EL6.i686

 

 

also when I try to install the xorg-X11 rpm

[root@r12vison]# rpm -ivf xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386

I get the following error

error: Failed dependencies:

    libX11.so.6 is needed by xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386

    libXext.so.6 is needed by xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386

 

 

I checked my OEL64-Bit DVD for all these packages. I could not find them

 

From where can I download the RPM dependencies for Oracle Enterprise Linux Update 4 - 64 Bit. Please provide the URL location.

 

 

I have gone thru muthu's comments, which helps to resolve the open-motif package issue, but from where to download them.

 

Thanks

 

Ajaz

  • 1. Re: R 12.1.1 Installation on OEL 64 bit Linux
    Sai-oadba Explorer
    Currently Being Moderated

    Use Oracle Public Yum repository and use Yum install command to installed required packages. See below for one of the example…

    http://public-yum.oracle.com/

     

    For example:

    [Desktop]# yum install libICE.so.6

    Loaded plugins: refresh-packagekit, security

    public_ol6_UEKR3_latest | 1.2 kB     00:00    

    public_ol6_latest                                                                                                                                                             | 1.4 kB     00:00    

    Setting up Install Process

    Resolving Dependencies

    --> Running transaction check

    ---> Package libICE.i686 0:1.0.6-1.el6 will be installed

    --> Finished Dependency Resolution

     

    Dependencies Resolved

     

    =====================================================================================================================================================================================================

    Package                                     Arch Version Repository Size

    =====================================================================================================================================================================================================

    Installing:

    libICE                                      i686 1.0.6-1.el6 public_ol6_latest                                       52 k

     

    Transaction Summary

    =====================================================================================================================================================================================================

    Install       1 Package(s)

     

    Total download size: 52 k

    Installed size: 112 k

    Is this ok [y/N]: y

    Downloading Packages:

    libICE-1.0.6-1.el6.i686.rpm |  52 kB     00:00

    Running rpm_check_debug

    Running Transaction Test

    Transaction Test Succeeded

    Running Transaction

    Warning: RPMDB altered outside of yum.

      Installing : libICE-1.0.6-1.el6.i686 1/1

      Verifying : libICE-1.0.6-1.el6.i686 1/1

     

    Installed:

      libICE.i686 0:1.0.6-1.el6

     

    Complete!

  • 2. Re: R 12.1.1 Installation on OEL 64 bit Linux
    Carlo den Otter Explorer
    Currently Being Moderated

    Hello Ajaz,

     

    Also make sure the OS meets all requirements of Note 761566.1 : "Oracle E-Business Suite Installation and Upgrade Notes Release 12 (12.1.1) for Linux x86-64"

     

    Regards, Carlo.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points